GuidesAPI ReferenceChangelogAPI StatusAPI PolicyGusto Security
API Reference

Assign pay schedules for a company

This endpoint assigns employees to pay schedules based on the schedule type. For by_employee and by_department schedules, use the partial_assignment parameter to control the assignment scope. Set it to true for partial assignments (only some employees or departments at a time) and false for full assignments (all employees or departments at once).

scope: pay_schedules:write

Path Params
string
required

The UUID of the company

Body Params
enum
required

The pay schedule assignment type.

string

Pay schedule for hourly employees.

string

Pay schedule for salaried employees.

string

Default pay schedule for employees.

boolean

Indicates whether the request provides pay schedule assignments for a partial list of employees or departments of the company. By default, this is set to false.

employees
array of objects

List of employees and their pay schedules.

employees
departments
array of objects

List of departments and their pay schedules.

departments
Headers
string
enum
Defaults to 2026-02-01

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Responses
200

No Content

404

Not Found

The requested resource does not exist. Make sure the provided UUID is valid.

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json